API referenceAuth
Register (legacy)
Legacy username/password registration, retained for older clients. Authentication is handled by Clerk now — see the [Authentication guide](https://docs.flambe.dev/docs/guides/authentication).
Deprecated
Legacy username/password registration, retained for older clients. Authentication is handled by Clerk now — see the Authentication guide.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/auth/register" \ -H "Content-Type: application/json" \ -d '{ "username": "string", "email": "user@example.com", "password": "pa$$word" }'{ "token": "string", "user": { "id": "string", "email": "user@example.com", "household_ids": [ "54c1f54b-a917-49ec-b7cf-11c9ad962a82" ], "is_admin": true, "created_at": "2019-08-24T14:15:22Z" }}